Page MenuHomePhabricator

Special:CreateProperty already in use
Closed, ResolvedPublic

Description

This special page name is already defined in Semantic Forms extension.

https://gerrit.wikimedia.org/r/#/c/23793/


Version: master
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=45907

Details

Reference
bz40635

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:51 AM
bzimport set Reference to bz40635.
bzimport added a subscriber: Unknown Object (MLST).

This prevents anyone from updating namespace aliases in translatewiki.net because of duplicate checking.

This problem will probably pop up several places. Perhaps we should add a prefix?

Changing importance to "critical" since it interrupts the translation workflow not just for this extension but for all extension with special pages.

What about Special:Create_Property?

We also have a clash with the Property namespace.

(In reply to comment #3)

What about Special:Create_Property?

No, obscure minor differences are only going to cause confusion and pain in the future.

The obvious solution is to use a prefix for the special page names and also for the namespaces. That will work, but it's horribly ugly and should at least be optional. Can we make the names for the special page and the namespace configurable? Will this cause problems with transalatewiki?

I don't think there is any mechanism to avoid such conflicts between extensions. Do we really need to? I don't see how SemanticForms, or even SMW, could sensibly be deployed on the same wiki as Wikibase.

Special:NewProperty perhaps?

Namespaces are a bigger problem as they are a real showstopper when mixing
extensions. But as Daniel says, mixing Wikidata and SMW doesn't make sense.

aude added a comment.Oct 2 2012, 10:56 AM

Special:NewProperty sounds good to me

(It would be nice in the future to have some way to handle conflicts between extensions for special pages.)

I think it is more than hazardous to postulate that certain constellations will not appear in the future. To knowingly create or accept conflicts between extensions appears to be a painful approach, too.

However, currently it is not possible to translate special pages in any language until this is resolved. So either the translate extension or this one gets fixed. I can live with both approaches as long as it is not on the back burner. :)

Danwe added a comment.Oct 2 2012, 1:03 PM

I think the way to go would be fixing the translate extension.
What if someone makes a fork of any existing extension and moves it into its own repository? Wouldn't that break translate wiki horribly?

Hmm what ifs.

(In reply to comment #11)

I think the way to go would be fixing the translate extension.
What if someone makes a fork of any existing extension and moves it into its
own repository? Wouldn't that break translate wiki horribly?

No, because the extension wouldn't be added to translatewiki.net before the Translate extension could manage such forks, I suppose.

FYI: a fix has been merged

Affirmative. Now everything is fluffy again and working. Thank you to all of you for your help. Thus changing status to RESOLVED FIXED.

Danwe added a comment.Oct 3 2012, 6:13 PM

Could someone please file a bug for the related problem on translate wiki/extension or is there one already? I am not exactly sure where to put this due to lack of insight knowledge about translate wiki.

(In reply to comment #15)

Could someone please file a bug for the related problem on translate
wiki/extension or is there one already? I am not exactly sure where to put this
due to lack of insight knowledge about translate wiki.

I think bug 40707 is enough.

Restricted Application added a project: Wikidata. · View Herald TranscriptSep 26 2019, 1:53 PM